RDKit: RDKit::MolHash Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Typedefs | Enumerations | Functions
RDKit::MolHash Namespace Reference

## Classes
struct | HashSet

## Typedefs
typedef boost::uint32_t | HashCodeType

## Enumerations
enum | CodeFlags { CF_NO_LABELS = 0x0000, CF_ELEMENT = 0x0001, CF_CHARGE = 0x0002, CF_VALENCE = 0x0004, CF_ISOTOPE = 0x0008, CF_ATOM_CHIRALITY = 0x0010, CF_ATOM_AROMATIC = 0x0020, CF_ATOM_ALL = 0x00FF, CF_BOND_ORDER, CF_BOND_AROMATIZATION = 0x0200, CF_BOND_TYPE_EXACT, CF_BOND_CHIRALITY, CF_BOND_IN_RING = 0x0800, CF_BOND_ALL = 0xFF00, CF_ALL = 0xFFFF }

## Functions
HashCodeType | generateMoleculeHashCode (const ROMol &mol, const std::vector< unsigned > *atomsToUse=0, const std::vector< unsigned > *bondsToUse=0, const std::vector< boost::uint32_t > *atomCodes=0, const std::vector< boost::uint32_t > *bondCodes=0)
void | fillAtomBondCodes (const ROMol &mol, boost::uint64_t flags, std::vector< boost::uint32_t > *atomCodes, std::vector< boost::uint32_t > *bondCodes)
void | generateMoleculeHashSet (const ROMol &mol, HashSet &res, const std::vector< unsigned > *atomsToUse=0, const std::vector< unsigned > *bondsToUse=0)
std::string | generateMoleculeHashSet (const ROMol &mol, const std::vector< unsigned > *atomsToUse=0, const std::vector< unsigned > *bondsToUse=0)
std::string | encode (const void *bin, size_t size)

## Typedef Documentation

typedef boost::uint32_t RDKit::MolHash::HashCodeType

Definition at line 21 of file MolHash.h.

## Enumeration Type Documentation

enum RDKit::MolHash::CodeFlags

Enumerator
CF_NO_LABELS |
CF_ELEMENT |
CF_CHARGE |
CF_VALENCE |
CF_ISOTOPE |
CF_ATOM_CHIRALITY |
CF_ATOM_AROMATIC |
CF_ATOM_ALL |
CF_BOND_ORDER |
CF_BOND_AROMATIZATION |
CF_BOND_TYPE_EXACT |
CF_BOND_CHIRALITY |
CF_BOND_IN_RING |
CF_BOND_ALL |
CF_ALL |

Definition at line 30 of file MolHash.h.

## Function Documentation

std::string RDKit::MolHash::encode | ( | const void * | bin,
|  | size_t | size
| ) |  |

void RDKit::MolHash::fillAtomBondCodes | ( | const ROMol & | mol,
|  | boost::uint64_t | flags,
|  | std::vector< boost::uint32_t > * | atomCodes,
|  | std::vector< boost::uint32_t > * | bondCodes
| ) |  |

HashCodeType RDKit::MolHash::generateMoleculeHashCode | ( | const ROMol & | mol,
|  | const std::vector< unsigned > * | atomsToUse = `0`,
|  | const std::vector< unsigned > * | bondsToUse = `0`,
|  | const std::vector< boost::uint32_t > * | atomCodes = `0`,
|  | const std::vector< boost::uint32_t > * | bondCodes = `0`
| ) |  |

void RDKit::MolHash::generateMoleculeHashSet | ( | const ROMol & | mol,
|  | HashSet & | res,
|  | const std::vector< unsigned > * | atomsToUse = `0`,
|  | const std::vector< unsigned > * | bondsToUse = `0`
| ) |  |

std::string RDKit::MolHash::generateMoleculeHashSet | ( | const ROMol & | mol,
|  | const std::vector< unsigned > * | atomsToUse = `0`,
|  | const std::vector< unsigned > * | bondsToUse = `0`
| ) |  |